## Wie funktioniert die Umwandlung?

Kern der Umwandlung ist die Klasse `MDMetadata2Dataset` und darin die Methode `convert(org.dom4j.Element)`. Sie erwartet ein `MD_Metadata` Element, aus dem eine Resource vom Typ `dcat:Dataset` (und verbundene `dcat:Distribution`) erzeugt wird.

Neben den Metadaten, die im `MD_Metadata` Element selbst enthalten sind, wird über die Klasse `CswInterface` eine Suche nach gekoppelten Services durchgeführt (Methodde `CswInterface#findOperatesOn`).

### Kontaktdaten

Für die Umwandlung von Kontaktdaten sind zwei Methoden zuständig: `createFoafOrg`, die eine Resource vom Typ `foaf:Organization` erzeugt und `createVcardOrganization`, die eine Resource vom Typ `vcard:Organization` erzeugt. 

Siehe auch Datei [Kontaktdaten.md](Kontaktdaten.md).

### DCAT-Kategorien

Zusätzlich zu dem Mapping auf Basis der `gmd:topicCategory` werden zusätzlich einige Schlüsselwörter ausgewertet, um die DCAT-Kategorie zu bestimmen. Diese Zuordnung ist in der Datei `src/main/resources/keyword-mapping.json` zu finden.

### Koordinatenreferenzsystem

Informationen zu Koordinatenreferenzsystemen in `gmd:referenceSystemInfo` werden auf passende `dct:conformsTo`-Angaben abgebildet. 

### Angaben zur Konformität

Angaben zur Konformität eines Datensatzes, wie z.B. *VERORDNUNG (EG) Nr. 1089/2010 DER KOMMISSION vom 23. November 2010 zur Durchführung der Richtlinie 2007/2/EG des Europäischen Parlaments und des Rates hinsichtlich der Interoperabilität von Geodatensätzen und -diensten* werden auf passende `dct:conformsTo`-Angaben abgebildet.

### dcatap:applicableLegislation

Ist ein Datensatz mit dem Schlüsselwort `INSPIRE`, `inspire` oder `inspireidentifiziert` markiert, wird eine Kennzeichnung gemäß <https://semiceu.github.io/uri.semic.eu-generated/DCAT-AP/releases/2.2.0-hvd/> vorgenommen: 

```ttl
   dcatap:applicableLegislation <http://data.europa.eu/eli/dir/2007/2/2019-06-26>
```
