package de.landsh.opendata.csw2dcat.vocabulary;

import org.apache.jena.rdf.model.Model;
import org.apache.jena.rdf.model.ModelFactory;
import org.apache.jena.rdf.model.Property;
import org.apache.jena.rdf.model.Resource;

public class FOAF {
    public static final String NS = "http://xmlns.com/foaf/0.1/";
    public static final Resource NAMESPACE;
    public static final Property name;
    public static final Property mbox;
    public static final Property phone;
    public static final Property homepage;
    public static final Resource Organization;
    private static final Model m_model = ModelFactory.createDefaultModel();

    static {
        NAMESPACE = m_model.createResource(NS);
        Organization = m_model.createResource(NS + "Organization");
        name = m_model.createProperty(NS, "name");
        mbox = m_model.createProperty(NS, "mbox");
        phone = m_model.createProperty(NS, "phone");
        homepage = m_model.createProperty(NS, "homepage");
    }

    private FOAF() {
    }

    public static String getURI() {
        return NS;
    }
}
